/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8; c-indent-level: 8 -*- */
/*
 *  Copyright (C) 2005, Red Hat, Inc. 
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef EV_DOCUMENT_FACTORY_H
#define EV_DOCUMENT_FACTORY_H

#include <gtk/gtk.h>
#include "ev-document.h"

G_BEGIN_DECLS

typedef enum {
	EV_BACKEND_PDF,
	EV_BACKEND_PS,
	EV_BACKEND_TIFF,
	EV_BACKEND_PIXBUF,
	EV_BACKEND_DJVU,
	EV_BACKEND_DVI,
	EV_BACKEND_COMICS,
	EV_BACKEND_IMPRESS
} EvBackend;

EvDocument* ev_document_factory_get_document (const char *uri, GError **error);
EvBackend   ev_document_factory_get_backend  (EvDocument *document);
void 	    ev_document_factory_add_filters  (GtkWidget *chooser, EvDocument *document);

G_END_DECLS

#endif
